TencentNavKit

Properties | List of all members
TNKTruckSearchOption Class Reference

货车导航算路参数. More...

`#import <TNKDriveCommonObj.h>`

Inheritance diagram for TNKTruckSearchOption:

## Properties
TNKTruckType | truckType
| 货车类型， 默认为轻型车 More...
float | length
| 长度，单位：m More...
float | width
| 宽度，单位：m More...
float | height
| 高度，单位：m More...
float | weight
| 总重量，单位：吨 More...
float | load
| 核定载重,单位：吨 More...
int | axisCount
| 轴数 More...
float | axisLoad
| 轴重,单位：吨 More...
TNKTruckTrailerType | trailerType
| 拖车类型 More...
TNKTruckPlateColor | plateColor
| 车牌颜色。 More...
TNKEnergyType | energyType
| 能源类型 More...
TNKTruckFunctionType | functionType
| 功能类型 More...
TNKEmissionStandard | emissionStandard
| 尾气排放标准 More...
TNKTruckPassType | passType
| 通行证类型 More...
BOOL | willIgnoreWeight
| 算路时是否忽略重量。默认为NO More...
BOOL | needExperienceRoute
| 算路时是否需要请求经验路线。默认为NO More...

## Detailed Description

货车导航算路参数.

Since
  5.2.1

## Property Documentation

## ◆ axisCount

- (int) axisCount
| readwritenonatomicassign

轴数

## ◆ axisLoad

- (float) axisLoad
| readwritenonatomicassign

轴重,单位：吨

## ◆ emissionStandard

- (TNKEmissionStandard) emissionStandard
| readwritenonatomicassign

尾气排放标准

## ◆ energyType

- (TNKEnergyType) energyType
| readwritenonatomicassign

能源类型

## ◆ functionType

- (TNKTruckFunctionType) functionType
| readwritenonatomicassign

功能类型

## ◆ height

- (float) height
| readwritenonatomicassign

高度，单位：m

## ◆ length

- (float) length
| readwritenonatomicassign

长度，单位：m

## ◆ load

- (float) load
| readwritenonatomicassign

核定载重,单位：吨

## ◆ needExperienceRoute

- (BOOL) needExperienceRoute
| readwritenonatomicassign

算路时是否需要请求经验路线。默认为NO

Since
  6.6.0

## ◆ passType

- (TNKTruckPassType) passType
| readwritenonatomicassign

通行证类型

## ◆ plateColor

- (TNKTruckPlateColor) plateColor
| readwritenonatomicassign

车牌颜色。

## ◆ trailerType

- (TNKTruckTrailerType) trailerType
| readwritenonatomicassign

拖车类型

## ◆ truckType

- (TNKTruckType) truckType
| readwritenonatomicassign

货车类型， 默认为轻型车

## ◆ weight

- (float) weight
| readwritenonatomicassign

总重量，单位：吨

## ◆ width

- (float) width
| readwritenonatomicassign

宽度，单位：m

## ◆ willIgnoreWeight

- (BOOL) willIgnoreWeight
| readwritenonatomicassign

算路时是否忽略重量。默认为NO

The documentation for this class was generated from the following file:

- TNKDriveCommonObj.h